surface ptexreflection(string mapname=""; float blur = 0)
{
    Oi = 1;
    if (mapname != "") {
	vector In = normalize(transform("world", I));
	normal Nn = normalize(transform("world", N));
	vector R = reflect(In,Nn);
	Ci = environment(mapname, R, "blur", blur);
	if (Ci[1] == -1) { Ci[1] = Ci[2] = Ci[0]; }
    } else {
	Ci = .5;
    }
}
